Loading...
Searching...
No Matches
lomiri::ShutdownException Class Reference

Exception to indicate errors during shutdown. More...

`#include <lomiri/LomiriExceptions.h>`

Inheritance diagram for lomiri::ShutdownException:
[legend]
Collaboration diagram for lomiri::ShutdownException:
[legend]

## Public Member Functions

| ShutdownException (std::string const &reason)
| Constructs the exception.
virtual std::exception_ptr | self () const override
| Returns a `std::exception_ptr` to `this`.
Public Member Functions inherited from lomiri::Exception
char const * | what () const noexcept override
| Returns a string describing the exception, including any exceptions that were nested or chained.
std::string | name () const
| Returns the name set by the derived class's constructor.
std::string | reason () const
| Returns the reason set by the derived class's constructor (empty string if none).
std::string | to_string (std::string const &indent=" ") const
| Returns a string describing the exception, including any exceptions that were nested or chained.
std::string | to_string (int indent_level, std::string const &indent) const
| Returns a string describing the exception, including any exceptions that were nested or chained.
std::exception_ptr | remember (std::exception_ptr earlier_exception)
| Adds an exception to the exception history chain.
std::exception_ptr | get_earlier () const noexcept
| Returns the previous exception.

## Additional Inherited Members

Protected Member Functions inherited from lomiri::Exception
| Exception (std::string const &name, std::string const &reason)
| Constructs an exception instance.

## Detailed Description

Exception to indicate errors during shutdown.

       Usually, it is not possible to handle or recover
       from errors that arise during shutdown. This exception is thrown once all possible shutdown actions
       have been carried out and provides information about anything that went wrong via the exception
       chaining mechanism of the lomiri::Exception base class.

## Constructor & Destructor Documentation

## ShutdownException()

lomiri::ShutdownException::ShutdownException | ( | std::string const & | reason | ) |

explicit default

Constructs the exception.

Parameters

  reason | Further details about the cause of the exception.

## Member Function Documentation

## self()

exception_ptr lomiri::ShutdownException::self | ( |  | ) | const

override virtual

Returns a `std::exception_ptr` to `this`.

Implements lomiri::Exception.

The documentation for this class was generated from the following files:

- include/lomiri/LomiriExceptions.h
- src/lomiri/LomiriExceptions.cpp